[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCustomIcon.GetFileExtensions

Gets a delimited list of file extensions supported for the image type.

## Declaration

Source position: graphics.pp line 1661

`public class function TCustomIcon.GetFileExtensions: string; override;`

## Function result

Delimited list of file extensions supported for the image type.

## Description

GetFileExtensions is an overridden String class function used to get a delimited list of file extensions supported for the image type. In TCustomIcon and TIcon, the return value is always 'ico'.

## See also

TGraphic.GetFileExtensions |  | Returns a list of the file extensions available.